# Class PlaneAspect

java.lang.Object
uk.ac.starlink.ttools.plot2.geom.PlaneAspect

public class PlaneAspect extends Object
Defines the data range covered by a PlaneSurface.

Since:
  19 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`PlaneAspect(double[] xlimits, double[] ylimits)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`double`
`getXMax()`
Returns X data coordinate upper bound.
`double`
`getXMin()`
Returns X data coordinate lower bound.
`double`
`getYMax()`
Returns Y data coordinate upper bound.
`double`
`getYMin()`
Returns Y data coordinate lower bound.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PlaneAspect

public PlaneAspect(double[] xlimits, double[] ylimits)
Constructor.

Parameters:
  `xlimits` - 2-element array giving (min,max) X data coordinates
  `ylimits` - 2-element array giving (min,max) Y data coordinates

## Method Details

### getXMin

public double getXMin()
Returns X data coordinate lower bound.

Returns:
  x min

### getXMax

public double getXMax()
Returns X data coordinate upper bound.

Returns:
  x max

### getYMin

public double getYMin()
Returns Y data coordinate lower bound.

Returns:
  y min

### getYMax

public double getYMax()
Returns Y data coordinate upper bound.

Returns:
  y max

### toString

public String toString()

Overrides:
  `toString` in class `Object`